function plot_Correction( hMainFig, hPlotAxes )


% Reinitialise plot 1 and 3
% -------------------------
erase_Line( hPlotAxes, 1 );
erase_Line( hPlotAxes, 2 );
erase_Line( hPlotAxes, 3 );

% Get tsg application data
% ------------------------
tsg    = getappdata( hMainFig, 'tsg_data');
sample = getappdata( hMainFig, 'sample');

plot_Sample( hMainFig, hPlotAxes, 1, 'SSPS_DIF', [] );

% Get the code for VALUE_CHANGED
% ------------------------------
VALUE_CHANGED = get(tsg.qc.hash, 'VALUE_CHANGED', 'code');

% Select the record with VALUE_CHANGED code
% -----------------------------------------
ind = find( tsg.SSPS_ADJUSTED_QC == VALUE_CHANGED);

% Plot the difference tsg.SSPS_ADJUSTED-tsg.SSPS on axe 1
% -------------------------------------------------------
plot_Tsg( hMainFig, hPlotAxes, 1,...
  tsg.DAYD(ind), tsg.SSPS_ADJUSTED(ind)-tsg.SSPS(ind),...
  [], 'SSPS_ADJUSTED','b','none','.',1);

% Plot SSPS and SAMPLE, with code color, on axe 2
% ------------------------------------------------
plot_Tsg( hMainFig, hPlotAxes, 2, tsg.DAYD, tsg.SSPS, tsg.SSPS_QC,...
  'SSPS','','none','*',2);
plot_Sample( hMainFig, hPlotAxes, 2, 'SSPS', [] );

% Plot SSPS, with no code, on axe3
% --------------------------------
plot_Tsg( hMainFig, hPlotAxes, 3, tsg.DAYD, tsg.SSPS,...
  [],'SSPS','k','none','.',1);

% Plot TSG_ADJUSTED + ERROR on axe 3
% -----------------------------------
plot_Tsg( hMainFig, hPlotAxes, 3, tsg.DAYD(ind),...
  tsg.SSPS_ADJUSTED(ind) + tsg.SSPS_ADJUSTED_ERROR(ind),...
  [], 'SSPS_ADJUSTED','g','none','.',1);
plot_Tsg( hMainFig, hPlotAxes, 3, tsg.DAYD(ind),...
  tsg.SSPS_ADJUSTED(ind) - tsg.SSPS_ADJUSTED_ERROR(ind),...
  [], 'SSPS_ADJUSTED','g','none','.',1);

% Plot SSPS_ADJUSTED on axe 3
% ---------------------------
plot_Tsg( hMainFig, hPlotAxes, 3,...
  tsg.DAYD(ind), tsg.SSPS_ADJUSTED(ind), [],...
  'SSPS_ADJUSTED','r','none','.',3);

end
